[Subject Prev][Subject Next][Thread Prev][Thread Next][Subject Index][Thread Index]

[vine-users:010606] Re: SEMI / WEMI 1.13.4-3



At 04 Aug 1999 18:01:26 +0900,
Eiji Kaneko <kaneko@pec.epson.co.jp> wrote:
> 
> つまり、MULEおよびXEmacsでバイトコンパイル済みのelc及びelをひとまと
> めにしているという認識で良いのでしょうか?

そういうことになります.

Mule-2.3@19.34 用,XEmacs-20.4 用だけを作っているのは,
Vine 1.x 標準,VinePlus 所収のものだから,という理由です.


> ところで私は、
> 
>   Emacs-20.X
>   XEmacs-21.X
> 
> を使っています。
> どちらもRPMにはありません。
> しょうがないので自分でmakeしました。が、やはり管理の面で(バージョン
> アップなど)、RPM化したいと考えています。

多分,XEmacs-21.X 用の方は うちの SRPM ([vine-users:010582])を
そのまま rebuild すればおっけーだと思います.
ただし xemacs が xemacs-21.xのリンクであれば,です.
そうでなければ xemacs がリンクしている実体によってコンパイルされます.

# EMACS=xemacs としてバイトコンパイルしていますので.
# インストール先は /usr/lib/xemacs/site-lisp/{emu,apel,flim.semi}です.

# Mule 用は EMACS=mule として作っています.
# インストール先は /usr/share/emacs/site-lisp/{emu,apel,flim,semi}です.


Emacs-20.4 用は,私が Emacs-20.4 を使ってないので作ってませんが,
mule 用の srpm の spec ファイルの中の EMACS=mule を EMACS=emacs に
すればオッケーだと思います.

# 今知ったんですが,emacs-19.34 も Vine 標準で入ってたんですね :-)
# emacs-20.4 の rpm は ... いいだしっぺの法則?


> どなたか、Emacs-20.4もしくはXEmacs-21.2.XのRPMを作られた方はいないで
> しょうか?

VinePlus の XEmacs-20.4 の spec ファイルを参考にしては如何でしょう?


ところで,XEmacs 20.4 でバイトコンパイルした .elc は,
XEmacs 21.X では使えないんでしょうか?
もしくは,XEmacs 20.3 -> 20.4 とか 21.0 -> 21.2 とか
したときに,その都度バイトコンパイルしなおさないと
いけないんでしょうか?

# 実はこれが一番知りたかったりする....


====================================================
 MATSUBAYASHI, 'Shaolin' Kohji
 mailto:shaolin@rins.st.ryukoku.ac.jp
 http://oscar.math.ryukoku.ac.jp/~shaolin/index.html

この情報があなたの探していたものかどうか選択してください。
yes/まさにこれだ!   no/違うなぁ   part/一部見つかった   try/これで試してみる

あなたが探していた情報はどのようなことか、ご自由に記入下さい。特に「まさにこれだ!」と言う場合は記入をお願いします。
例:「複数のマシンからCATV経由でipmasqueradeを利用してWebを参照したい場合の設定について」
Follow-Ups: References: